#!/usr/bin/python3

import pytest
import os

def test_service_names(streaming_config):
    print(streaming_config['hosts'][0]['name'])
    assert streaming_config['hosts'][0]['name'] == 'clmc-service'
    assert streaming_config['hosts'][1]['name'] == 'nginx1'
    assert streaming_config['hosts'][2]['name'] == 'nginx2' 
    assert streaming_config['hosts'][3]['name'] == 'loadtest-streaming'            

def test_ping(streaming_config):
    """This test will only run on linux"""
    for x in streaming_config['hosts']:
        print(x['ip_address'])
        response = os.system("ping -c 1 " + x['ip_address'])
        assert response == 0     
    
