#!/usr/bin/python3

import pytest
import yaml

@pytest.fixture(scope="module",
                params=[{'config1': {'rspec': 'test/streaming-sim/rspec.yml', 'id': 'myid'}}])
def streaming_sim_config(request):
    """Returns the service configuration deployed for the streaming simulation test. In future this needs to be a parameterised fixture shared with other rspec.yml based tests"""
    print(request.param['config1']['rspec'])
    print(request.param['config1']['id'])    
    with open(request.param['config1']['rspec'], 'r') as stream:
        data_loaded = yaml.load(stream)
    return data_loaded